#ifndef MAIN_H

#include <stdlib.h>
#include <stdio.h>
#include <SDL/SDL.h>
#include <SDL/SDL_image.h>
#include <SDL/SDL_ttf.h>
#include <FMOD/fmod.h>

#define LARGEUR_ECRAN 450
#define HAUTEUR_ECRAN 375
#define NBRE_DE_BIT   32
#define HAUTEUR_SPRITE 15
#define LARGEUR_SPRITE 15
#define LARGEUR_CADRE_GAMEOVER 200
#define HAUTEUR_CADRE_GAMEOVER 200

/* On dfini une variable "Point" qui nous servira pour avoir toutes
les coordonnes des parties du serpent et aussi des Pommes etc. */
typedef struct
{
    int x;
    int y;
}Position;

//Les directions dans lesquels le serpent peut aller
enum{BAS,GAUCHE,DROITE,HAUT};

/* PROTOTYPE DES FONCTIONS */
void deplacerSerpent(int direction, SDL_Rect positionSerpent[], SDL_Rect *positionPomme, int nombreDeCorp, int *pomme);
int pommeDansSerpent(int X, int Y, int nombreDeCorp, SDL_Rect positionSerpent[]);
#endif /* !MAIN_H */

